Update Credential
curl --request PUT \
--url https://platform.groundforge.ai/v1/credentials/{credential_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": {
"ref": "<string>",
"displayName": "<string>"
},
"scope": {
"environments": [
"<string>"
],
"targets": [
{
"kind": "<string>",
"ref": "<string>",
"name": "<string>"
}
],
"metadata": {}
},
"expiresAtMs": 123,
"metadata": {}
}
'import requests
url = "https://platform.groundforge.ai/v1/credentials/{credential_id}"
payload = {
"subject": {
"ref": "<string>",
"displayName": "<string>"
},
"scope": {
"environments": ["<string>"],
"targets": [
{
"kind": "<string>",
"ref": "<string>",
"name": "<string>"
}
],
"metadata": {}
},
"expiresAtMs": 123,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: {ref: '<string>', displayName: '<string>'},
scope: {
environments: ['<string>'],
targets: [{kind: '<string>', ref: '<string>', name: '<string>'}],
metadata: {}
},
expiresAtMs: 123,
metadata: {}
})
};
fetch('https://platform.groundforge.ai/v1/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Credential
PUT
/
v1
/
credentials
/
{credential_id}
Update Credential
Authorizations
bearerAuthapiKeyAuth
OIDC access token for users and CLI clients.
Path Parameters
Query Parameters
Body
application/json
Response
Successful Response
Last modified on July 29, 2026
⌘I

